%% -*- octave -*-
%% return a random geometric graph on a square area
 
function [A,coord] = PLrgg_graph(n,l,matrix_type = "default")
  if (using_sparse_matrix(n, matrix_type))
    A = sparse(n,n);
  else
    A = zeros(n);
  endif
%%  for i=1:n
%%    coord(1,i)=unidrnd(l);
%%    coord(2,i)=unidrnd(l);
%%  endfor
  coord=rand(2,n)*l;
  for i=1:n-1
    printf("%d\n",i);
    for j=i+1:n
      %%10*n*log(d) n=2.2
      pld = 22*log(sqrt((coord(1,i)-coord(1,j))**2+(coord(2,i)-coord(2,j))**2));
      %%printf("node %d  (%d,%d) \n",i,coord(1,i),coord(2,i));
      %%printf("node %d  (%d,%d) \n",j,coord(1,j),coord(2,j));
      %%printf("distance %f\n",d);
      PLi=pld+lognrnd(0,4);
      PLj=pld+lognrnd(0,4);
      A(i,j)=(-10-PLi)>(-110);
      A(j,i)=(-10-PLj)>(-110);
    endfor
  endfor  
endfunction
