%% -*- octave -*-
%%
%% produces an Erdos-Renyi random graph of order n and edge-probability
%% p.
%%
function G = er_graph(n, p, matrix_type="default")
%  if (using_sparse_matrix(n, matrix_type))
%    G = sparse(n,n);
%  else
%    G = zeros(n,n);
%  endif
%  for i = 1:(n-1)
%    for j = (i+1):n
%      if rand() < p
%     	G(j,i) = 1;
%	G(i,j) = 1;
%      endif
%     endfor
%  endfor
 G=sprandsym(n,p) & (ones(n)-eye(n));
 G=G+eye(n);

