%% -*- octave -*-
%%
%% performs an experiment to evaluate the precision of the
%% impulse-response method over multiple non zero initial vectors (B) 
%% 
%% 
function E = er_test(n)
  iteration = 1;
  p = 2*log(n)/n;
  i=1;
  G = er_graph(n,p);
  save(strappend(strappend("er_graph",{i}),".mat", "G"));
endfunction 
