%% -*- octave -*-
%%
%% computes the exact spectral gap
%%
%% A : adjacency matrix (not necessarily normalized)
%%
%% g : A's spectral gap
%%
function g = exact_gap(A)
  A = make_col_stochastic(A);
  L = flipud(sort(abs(eig(A))));
  g = L(1) - L(2);
  end
