% -*- octave -*-
%
% this function takes an impulse response h and outputs the estimation
% of the spectral gap of the generating system
%
% paramters:
% h : vector containing the impulse response
% 
% output:
% l : 1 - lambda_2
%
function [l,e] = gap_estimate_nonzero_b_get_eig(h)
  A = kung(h);
  e = flipud(sort(abs(eigs(A,2,"lm"))))(2);  
  l = 1 - e;
