% -*- octave -*-
function L = mesh_graph(l,d)
  n = l^d;
  p = ones(d,1);
  for i = 2:d
    p(i) = p(i-1)*l;
  end

  L = zeros(n);
  for i = 1:n-1
    for j = i:n
      if (sum(p == abs(j - i)) == 1)
	L(i,j) = 1;
	L(j,i) = 1;
      end
    end
  end
