% -*- octave -*-
%
% this function takes an impulse response h and outputs the estimation
% of the spectral gap of the generating system
%
% paramters:
% h : vector containing the impulse response
% 
% output:
% l : 1 - lambda_2
%
function l = gap_estimate(h)
  A = kung(h);
  l = 1 - flipud(sort(abs(eigs(A,2,"lm"))))(1);
