% -*- octave -*-
%
% this function takes an impulse response h and outputs the estimation
% of the spectral gap of the generating system
%
% paramters:
% h : vector containing the impulse response
% 
% output:
% l : 1 - lambda_2
%
function l = gap_estimate_nonzero_b_without_TOL(h)
  A = kung_without_TOL(h);
%  l = 1 - flipud(sort(abs(eigs(A,2,"lm"))))(2);
%  save("~/p2pimpulse/P2Pimpulse/scripts/h.mat","h");
%  save("~/p2pimpulse/P2Pimpulse/scripts/A.mat","A");
  l = 1 - flipud(sort(abs(eig(A))))(2);
